
%% bare_jrnl.tex
%% V1.4b
%% 2015/08/26
%% by Michael Shell
%% see http://www.michaelshell.org/
%% for current contact information.
%%
%% This is a skeleton file demonstrating the use of IEEEtran.cls
%% (requires IEEEtran.cls version 1.8b or later) with an IEEE
%% journal paper.
%%
%% Support sites:
%% http://www.michaelshell.org/tex/ieeetran/
%% http://www.ctan.org/pkg/ieeetran
%% and
%% http://www.ieee.org/

%%*************************************************************************
%% Legal Notice:
%% This code is offered as-is without any warranty either expressed or
%% implied; without even the implied warranty of MERCHANTABILITY or
%% FITNESS FOR A PARTICULAR PURPOSE! 
%% User assumes all risk.
%% In no event shall the IEEE or any contributor to this code be liable for
%% any damages or losses, including, but not limited to, incidental,
%% consequential, or any other damages, resulting from the use or misuse
%% of any information contained here.
%%
%% All comments are the opinions of their respective authors and are not
%% necessarily endorsed by the IEEE.
%%
%% This work is distributed under the LaTeX Project Public License (LPPL)
%% ( http://www.latex-project.org/ ) version 1.3, and may be freely used,
%% distributed and modified. A copy of the LPPL, version 1.3, is included
%% in the base LaTeX documentation of all distributions of LaTeX released
%% 2003/12/01 or later.
%% Retain all contribution notices and credits.
%% ** Modified files should be clearly indicated as such, including  **
%% ** renaming them and changing author support contact information. **
%%*************************************************************************

\documentclass[journal, onecolumn]{IEEEtran}

\usepackage{pgfplots}

% *** SUBFIGURE PACKAGES ***
\usepackage{caption}
\usepackage{subcaption}
\usepackage{biblatex}

\usepackage{placeins}

\addbibresource{tarea3.bib}


% correct bad hyphenation here
\hyphenation{op-tical net-works semi-conduc-tor}


\begin{document}
%
% paper title
% Titles are generally capitalized except for words such as a, an, and, as,
% at, but, by, for, in, nor, of, on, or, the, to and up, which are usually
% not capitalized unless they are the first or last word of the title.
% Linebreaks \\ can be used within to get better formatting as desired.
% Do not put math or special symbols in the title.
\title{Human Voice Characterization For The Human Voice Using Periodicity}
%
%
% author names and IEEE memberships
% note positions of commas and nonbreaking spaces ( ~ ) LaTeX will not break
% a structure at a ~ so this keeps an author's name from being broken across
% two lines.
% use \thanks{} to gain access to the first footnote area
% a separate \thanks must be used for each paragraph as LaTeX2e's \thanks
% was not built to handle multiple paragraphs
%

\author{Emmanuel~Madrigal% <-this % stops a space
}

% note the % following the last \IEEEmembership and also \thanks - 
% these prevent an unwanted space from occurring between the last author name
% and the end of the author line. i.e., if you had this:
% 
% \author{....lastname \thanks{...} \thanks{...} }
%                     ^------------^------------^----Do not want these spaces!
%
% a space would be appended to the last name and could cause every name on that
% line to be shifted left slightly. This is one of those "LaTeX things". For
% instance, "\textbf{A} \textbf{B}" will typeset as "A B" not "AB". To get
% "AB" then you have to do: "\textbf{A}\textbf{B}"
% \thanks is no different in this regard, so shield the last } of each \thanks
% that ends a line with a % and do not let a space in before the next \thanks.
% Spaces after \IEEEmembership other than the last one are OK (and needed) as
% you are supposed to have spaces between the names. For what it is worth,
% this is a minor point as most people would not even notice if the said evil
% space somehow managed to creep in.

% make the title area
\maketitle

% As a general rule, do not put math, special symbols or citations
% in the abstract or keywords.
\begin{abstract}
	This paper explores the periodicity of some phonemes, and makes a comparision between a female and a male speaker.
\end{abstract}

% Note that keywords are not normally used for peerreview papers.
\begin{IEEEkeywords}
	voice recognition, pitch, phoneme periodicity, voice discrimination
\end{IEEEkeywords}

\section{Introduction}

\IEEEPARstart{H}uman voice recognition is on of the most important tasks in human intercation, our own brain contains regions that are strongly selective to human voices~\cite{Belin2000}
There are several areas of audio processing where managing to correctly caracterize a voice sample is useful. Extracting features from a voice sample can help as pre-processing step before performing further analysis.

One of the characteristics that could be distinguised is the gender of the speaker. Gender classification, can be provide an easy step in several situations such as sorting telephone calls by gender (eg. gender sensitive surveys). In content based multimedia indexing, the speaker's gender is a cue used in the annotation. Also, gender dependent speech codes are more accurate than gender independent ones~\cite{Ghosal2014}.

Classification based on the voice of the speaker these features can lead to high accuracy classifiers such as those proposed in~\cite{Sengupta2017} with a 92\% accuracy, using 155 features extracted from voice samples, which include 88 pitch features representing intensity in different frequency groups. The authors in~\cite{Chaudhary2018} managed a 96.45\% accuracy using a cepstrum method to determin the main frecuency components; while also noting that a autocorrelation time-based method can be used. Also nothe that neither of the previous authores relied solely on the pitch, but also added characteristics such as energy and zero crossing rate to characterize the voice.

Characterization is useful in other domains, for example, authors on~\cite{Babel2014} suggest that vocal attractiveness, like measures of attractiveness in other domains, is multi-dimensional in nature and involves the evaluation of multiple acoustically available and inferable traits.

In section \ref{sec:methodolgy} the used methodology is detailed, in \ref{sec:results}, and finally in \ref{sec:conclusions} the conclusions of this study is detailed.

\FloatBarrier

\section{Methodology}
\label{sec:methodolgy}

\subsection{Audio Capture}

Two speakers contributed samples for this study, for each of the samples the male speaker repeated these twice, while there is only a single sample for the female speaker.

Each speaker was asked to pronounce each of the vowels (a,e,i,o,u), the numbers from 0 to 9, and 3 consonants the phoneme for f, m, and s (i.e. ``mmmm'', rather than ``em'').

Their voice was captured at a sampling frequency of 22050\,Hz using a 32-bit floating point representation. While the used sampling frequency cannot sample completely the human hearing range, the human voice will generally be in this range with the exception of some of the higher components of some of the highest frequency consonants~\cite{Svec2010}.

\FloatBarrier

\section{Results}
\label{sec:results}

%% Waveform and Spectrum

\subsection{Waveform and spectrum}

For each of the vowels and the ``m'' phenome 8 pseudo-periods are shown and the fundamental frequency $f_0$ is calculated based on this time. The spectrum is also shown for each of these and the first fundamental frequency and its fundamental frequency is shown.

% A

\begin{figure}[htpb]
	\begin{subfigure}{\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figures/am1.pdf}
		\caption{Waveform with $f_0=127Hz$}
		\label{fig:sub_a_waveform}
	\end{subfigure}
	\newline
	\begin{subfigure}{\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figures/am1_spectrum.pdf}
		\caption{Spectrum with $f_0=125Hz$,  $f_1=251Hz$,  $f_2=383Hz$}
		\label{fig:sub_a_spectrum}
	\end{subfigure}
	\caption{``A'' waveform for a single male speaker}
	\label{fig:a_sound}
\end{figure}

The ``A'' phoneme waveform is shown in figure \ref{sub@fig:sub_a_waveform}, from the time of this waveform needs a $f_0=127\,Hz$ is obtained. From the spectrum shown in figure \ref{sub@fig:sub_a_spectrum} a $f_0=125Hz$ can be obtained, the slight difference arises from the significant figures used for both calculations. The first two armonics from the fundamental signal are also shown, these also have a slight shift from the expected $2f_0$ and $3f_0$ which can once again be attributed to the precision of the obtained frequency response.

% E

\begin{figure}[htpb]
	\begin{subfigure}{\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figures/em1.pdf}
		\caption{Waveform with $f_0=127Hz$}
		\label{fig:sub_e_waveform}
	\end{subfigure}
	\newline
	\begin{subfigure}{\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figures/em1_spectrum.pdf}
		\caption{Spectrum with $f_0=123Hz$,  $f_1=250Hz$,  $f_2=377Hz$}
		\label{fig:sub_e_spectrum}
	\end{subfigure}
	\caption{``E'' waveform for a single male speaker}
	\label{fig:e_sound}
\end{figure}

The ``E'' phoneme waveform is shown in figure \ref{sub@fig:sub_e_waveform}, from the time of this waveform needs a $f_0=127\,Hz$ is obtained. From the spectrum shown in figure \ref{sub@fig:sub_e_spectrum} a $f_0=123Hz$. Once again there is a small difference between the calculated values, but withing a close range.

% I

\begin{figure}[htpb]
	\begin{subfigure}{\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figures/im1.pdf}
		\caption{Waveform with $f_0=125Hz$}
		\label{fig:sub_i_waveform}
	\end{subfigure}
	\newline
	\begin{subfigure}{\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figures/im1_spectrum.pdf}
		\caption{Spectrum with $f_0=125Hz$,  $f_1=248Hz$,  $f_2=372Hz$}
		\label{fig:sub_i_spectrum}
	\end{subfigure}
	\caption{``I'' waveform for a single male speaker}
	\label{fig:i_sound}
\end{figure}

% O

\begin{figure}[htpb]
	\begin{subfigure}{\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figures/om1.pdf}
		\caption{Waveform with $f_0=129Hz$}
		\label{fig:sub_o_waveform}
	\end{subfigure}
	\newline
	\begin{subfigure}{\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figures/om1_spectrum.pdf}
		\caption{Spectrum with $f_0=132Hz$,  $f_1=261Hz$,  $f_2=391Hz$}
		\label{fig:sub_o_spectrum}
	\end{subfigure}
	\caption{``O'' waveform for a single male speaker}
	\label{fig:o_sound}
\end{figure}

% U

\begin{figure}[htpb]
	\begin{subfigure}{\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figures/um1.pdf}
		\caption{Waveform with $f_0=135Hz$}
		\label{fig:sub_u_waveform}
	\end{subfigure}
	\newline
	\begin{subfigure}{\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figures/um1_spectrum.pdf}
		\caption{Spectrum with $f_0=137Hz$,  $f_1=269Hz$,  $f_2=404Hz$}
		\label{fig:sub_u_spectrum}
	\end{subfigure}
	\caption{``U'' waveform for a single male speaker}
	\label{fig:u_sound}
\end{figure}

% M

\begin{figure}[htpb]
	\begin{subfigure}{\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figures/mm1.pdf}
		\caption{Waveform with $f_0=119Hz$}
		\label{fig:sub_m_waveform}
	\end{subfigure}
	\newline
	\begin{subfigure}{\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figures/mm1_spectrum.pdf}
		\caption{Spectrum with $f_0=120Hz$,  $f_1=242Hz$,  $f_2=355Hz$}
		\label{fig:sub_m_spectrum}
	\end{subfigure}
	\caption{``M'' waveform for a single male speaker}
	\label{fig:m_sound}
\end{figure}

The same behavior is shown for the other vowels, shown in figures \ref{fig:i_sound}, \ref{fig:o_sound} \ref{fig:u_sound} and \ref{fig:m_sound}. The fundamental frequency $f_0$ is always in the range of $120-135$ with the spectral fundamental frequency always within a few hertz. The first and second armonics in all cases are close to doubling and tripling the value of the spectral fundamental frequency.

%% Male vs Female

\FloatBarrier

\subsection{Difference between male and female speakers}

% A

\begin{figure}[htpb]
	\begin{subfigure}{\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figures/am2.pdf}
		\caption{Male waveform with $f_0=131Hz$}
		\label{fig:sub_male_a_waveform}
	\end{subfigure}
	\newline
	\begin{subfigure}{\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figures/af1.pdf}
		\caption{Female waveform with $f_0=168Hz$}
		\label{fig:sub_female_a_waveform}
	\end{subfigure}
	\caption{``A'' waveform for multiple speakers}
	\label{fig:mult_a_sound}
\end{figure}

In figure \ref{fig:mult_a_sound} two wave forms for the ``A'' phoneme are shown, one for a male and one for a female speaker. The fundamental frequency can be seen as lower in the male voice with a range of about $40\,Hz$. As it can be seen the general shape of the waveform is the same in both speakers, which is expected as both of them are speaking the same phoneme. Another interseting characteristic is that altough the male voice has a lower frequency, it has more high-frequency components, which can be seen as the more jagged edges in the waveform.

% E

\begin{figure}[htpb]
	\begin{subfigure}{\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figures/em2.pdf}
		\caption{Male waveform with $f_0=122Hz$}
		\label{fig:sub_male_e_waveform}
	\end{subfigure}
	\newline
	\begin{subfigure}{\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figures/ef1.pdf}
		\caption{Female waveform with $f_0=162Hz$}
		\label{fig:sub_female_e_waveform}
	\end{subfigure}
	\caption{``E'' waveform for multiple speakers}
	\label{fig:mult_e_sound}
\end{figure}

Figure \ref{fig:mult_e_sound} shows the ``E'' phoneme. Once again the general shape of the waveform is kept, and is similar between both speakers. In this case both speakers reduced the pitch about $10\,Hz$ which means that the difference between both of them is kept at about $40\,Hz$.

% I

\begin{figure}[htpb]
	\begin{subfigure}{\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figures/im2.pdf}
		\caption{Male waveform with $f_0=120Hz$}
		\label{fig:sub_male_i_waveform}
	\end{subfigure}
	\newline
	\begin{subfigure}{\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figures/if1.pdf}
		\caption{Female waveform with $f_0=163Hz$}
		\label{fig:sub_female_i_waveform}
	\end{subfigure}
	\caption{``I'' waveform for multiple speakers}
	\label{fig:mult_I_sound}
\end{figure}

% O

\begin{figure}[htpb]
	\begin{subfigure}{\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figures/om2.pdf}
		\caption{Male waveform with $f_0=121Hz$}
		\label{fig:sub_male_o_waveform}
	\end{subfigure}
	\newline
	\begin{subfigure}{\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figures/of1.pdf}
		\caption{Female waveform with $f_0=155Hz$}
		\label{fig:sub_female_o_waveform}
	\end{subfigure}
	\caption{``O'' waveform for multiple speakers}
	\label{fig:mult_o_sound}
\end{figure}

% U

\begin{figure}[htpb]
	\begin{subfigure}{\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figures/um2.pdf}
		\caption{Male waveform with $f_0=129Hz$}
		\label{fig:sub_male_u_waveform}
	\end{subfigure}
	\newline
	\begin{subfigure}{\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figures/uf1.pdf}
		\caption{Female waveform with $f_0=173Hz$}
		\label{fig:sub_female_u_waveform}
	\end{subfigure}
	\caption{``U'' waveform for multiple speakers}
	\label{fig:mult_u_sound}
\end{figure}

% M

\begin{figure}[htpb]
	\begin{subfigure}{\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figures/mm2.pdf}
		\caption{Male waveform with $f_0=120Hz$}
		\label{fig:sub_male_m_waveform}
	\end{subfigure}
	\newline
	\begin{subfigure}{\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figures/mf1.pdf}
		\caption{Female waveform with $f_0=250Hz$}
		\label{fig:sub_female_m_waveform}
	\end{subfigure}
	\caption{``M'' waveform for multiple speakers}
	\label{fig:mult_m_sound}
\end{figure}

In figures \ref{fig:mult_I_sound}, \ref{fig:mult_o_sound}, \ref{fig:mult_u_sound} and \ref{fig:mult_m_sound} the same comparision is shown for the ``i'', ``o'' and ``u'' phonemes. In all cases the waveform has a similar shape between both users, but with a lower pitch for the male speaker. For the male speaker the more jagged edges of his voice are kept. Generally both voices keep a similar pitch for all of the sounds with the notable exception of the female speaker's ``m'', shown in figure~\ref{sub@fig:sub_female_m_waveform}, which has a frequency of $250\,Hz$ which is around $90\,Hz$ higher than the other speaker.

%% Geometric Mean

\subsection{Geometric mean comparision}

\begin{table}[htpb]
	\centering
	\begin{tabular}{|l|r|r|}
		\hline
		                                           & \textbf{Geometric Mean (Hz)} & \textbf{Musical Note} \\ \hline
		Male Voice 1                               & 126.87                       & B2                    \\ \hline
		Male Voice 2                               & 123.75                       & B2                    \\ \hline
		Female Voice                               & 176.02                       & F3                    \\ \hline
		Difference Between fundamental frequencies & 53                           & $\frac{1}{2}$ octave  \\ \hline
	\end{tabular}
	\caption{Geometric mean for different speakers}
	\label{tab:geo_mean}
\end{table}

Table~\ref{tab:geo_mean} shows the geometric mean for the different speakers, the geometric mean is used rather than the arithmetic mean since human hearing has a logarithmic response. For both audio captures of the male user the geometric mean is of about $126\,Hz$ which is equivalent to a B2 musical note. While the female speaker has a geometric mean of $176\,Hz$ which is equivalent to a F3 musical note. This is a difference of about half an octave between both speakers.  As is expected the female voice has a higher pitch than the male voice.

\subsection{Non-periodic sound}
%% Non-periodic sound

In this section the same analysis is made but for two voiceless phonemes: ``s'' and ``f'', being voiceless means that these are produced by some other mechanism than the vocal chords.

\begin{figure}[htpb]
	\begin{subfigure}{\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figures/sm1.pdf}
		\caption{Waveform}
		\label{fig:sub_s_waveform}
	\end{subfigure}
	\newline
	\begin{subfigure}{\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figures/sm1_spectrum.pdf}
		\caption{Spectrum}
		\label{fig:sub_s_spectrum}
	\end{subfigure}
	\caption{``S'' waveform for a single male speaker}
	\label{fig:s_sound}
\end{figure}

%% F

\begin{figure}[htpb]
	\begin{subfigure}{\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figures/fm1.pdf}
		\caption{Waveform}
		\label{fig:sub_f_waveform}
	\end{subfigure}
	\newline
	\begin{subfigure}{\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figures/fm1_spectrum.pdf}
		\caption{Spectrum}
		\label{fig:sub_f_spectrum}
	\end{subfigure}
	\caption{``F'' waveform for a single male speaker}
	\label{fig:f_sound}
\end{figure}

The ``s'' phoneme shown in figure~\ref{fig:s_sound} and the ``f'' phoneme shown in figure~\ref{fig:f_sound} have a similar behavior in that they most of their energy is focused on the higher end of the spectrum, which no discernible fundamental frequency. Their waveform also has no clear period, however is important to note that he human ear is capable of distinguising between both of these.

\FloatBarrier

\section{Conclusion}
\label{sec:conclusions}

In this paper sound for two speakers have been characterized. Vowel sound were shown to have a distinguishable period both in the time and the frequency domain. Also by comparing male and female speakers the waveform in both cases has a similar shape which should account for the human ear distinction of these. The female voice had a higher pitch for all phonemes tested.

Finally some voiceless sound were studied, which means that these are not generated in the vocal chords. These did't have a clear period and most of their spectral components were kept in the higher end of the spectrum. Since the human ear is also capable of distinguishing between these it means that there are more components to human voice recognition than their peridiocity.

This experiments should be repeated for more speakers and those with different languages and different accents to correctly demonstrated these results.

\printbibliography

\end{document}

